type LogFn = (message: string) => void;
type Logger = {
    error: LogFn;
    log: LogFn;
    create: (message: string) => LogFn;
};

type GenerateCodeOptions = {
    logger?: Logger;
    openApiDocumentFilenameOrUrl: string;
    output: 'SERVER' | 'CLIENT' | 'STUBS';
    outputFilename?: string;
    serviceName?: string;
    nonRequiredType: 'nullable' | 'optional' | 'both';
};

declare const generateCode: (inputOptions: GenerateCodeOptions) => Promise<void>;

export { generateCode };
